Bug 809864 - unable to yum update because of clutter
unable to yum update because of clutter
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clutter (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F17Beta-accepted/F17BetaFreezeExcept
  Show dependency treegraph
 
Reported: 2012-04-04 10:25 EDT by Jan Willies
Modified: 2012-04-22 00:22 EDT (History)
8 users (show)

See Also:
Fixed In Version: clutter-1.10.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 23:32:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Willies 2012-04-04 10:25:19 EDT
Description of problem:
[...]
---> Package clutter.x86_64 0:1.8.4-1.fc16 will be updated
--> Processing Dependency: libclutter-glx-1.0.so.0()(64bit) for package: clutter-imcontext-0.1.6-4.fc15.x86_64
--> Processing Dependency: libclutter-glx-1.0.so.0()(64bit) for package: clutter-gesture-0.0.2-2.fc13.x86_64
---> Package createrepo.noarch 0:0.9.9-11.fc17 will be installed
--> Processing Dependency: python-deltarpm for package: createrepo-0.9.9-11.fc17.noarch
--> Processing Dependency: pyliblzma for package: createrepo-0.9.9-11.fc17.noarch
---> Package gdisk.x86_64 0:0.8.2-1.fc17 will be installed
---> Package libwacom-data.noarch 0:0.4-1.fc17 will be installed
--> Running transaction check
---> Package clutter.x86_64 0:1.8.4-1.fc16 will be updated
--> Processing Dependency: libclutter-glx-1.0.so.0()(64bit) for package: clutter-imcontext-0.1.6-4.fc15.x86_64
--> Processing Dependency: libclutter-glx-1.0.so.0()(64bit) for package: clutter-gesture-0.0.2-2.fc13.x86_64
---> Package pyliblzma.x86_64 0:0.5.3-6.fc17 will be installed
---> Package python-deltarpm.x86_64 0:3.6-0.7.20110223git.fc17 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package clutter.x86_64 0:1.8.4-1.fc16 will be updated
--> Processing Dependency: libclutter-glx-1.0.so.0()(64bit) for package: clutter-imcontext-0.1.6-4.fc15.x86_64
--> Processing Dependency: libclutter-glx-1.0.so.0()(64bit) for package: clutter-gesture-0.0.2-2.fc13.x86_64
---> Package kernel.x86_64 0:3.2.10-3.fc16 will be erased
--> Finished Dependency Resolution
Error: Package: clutter-gesture-0.0.2-2.fc13.x86_64 (@anaconda-InstallationRepo-201105131943.x86_64/15)
           Requires: libclutter-glx-1.0.so.0()(64bit)
           Removing: clutter-1.8.4-1.fc16.x86_64 (@updates/16)
               libclutter-glx-1.0.so.0()(64bit)
           Updated By: clutter-1.10.0-2.fc17.x86_64 (updates-testing)
               Not found
Error: Package: clutter-imcontext-0.1.6-4.fc15.x86_64 (@anaconda-InstallationRepo-201105131943.x86_64/15)
           Requires: libclutter-glx-1.0.so.0()(64bit)
           Removing: clutter-1.8.4-1.fc16.x86_64 (@updates/16)
               libclutter-glx-1.0.so.0()(64bit)
           Updated By: clutter-1.10.0-2.fc17.x86_64 (updates-testing)
               Not found
 You could try using --skip-broken to work around the problem


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. install F15
2. yum upgrade to F17
3. 
  
Actual results:
some packages won't upgrade

Expected results:
everything up2date

Additional info:
Comment 1 Kalev Lember 2012-04-04 10:30:35 EDT
Looks like libmx used to pull clutter-gesture and clutter-imcontex in for the default F15 installation, but since F16 these two packages have been retired. What changed in F17 is that clutter changed its soname, breaking deps for these old packages.

I'll add Obsoletes to clutter to deal with this.
Comment 2 Peter Robinson 2012-04-04 10:33:36 EDT
yes those two packages were killed upstream as they never really went mainstream and it was decided to them a different way. In F-15 libmx was only used by meego so it was never really a problem.
Comment 3 Fedora Update System 2012-04-04 10:48:20 EDT
clutter-1.10.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clutter-1.10.0-3.fc17
Comment 4 Jan Willies 2012-04-04 11:05:50 EDT
I can confirm that clutter-1.10.0-3.fc17 solves the problem
Comment 5 Fedora Update System 2012-04-05 14:26:03 EDT
Package clutter-1.10.0-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clutter-1.10.0-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5364/clutter-1.10.0-3.fc17
then log in and leave karma (feedback).
Comment 6 Kalev Lember 2012-04-05 17:45:54 EDT
Proposing as F17 Beta NTH.

Without this, the default F15 Desktop install can't be cleanly updated to F17 using yum. I suspect the DVD upgrades with Anaconda might also be affected, so it would be nice to have the fix on the media.
Comment 7 Fedora Update System 2012-04-05 21:38:01 EDT
clutter-1.10.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clutter-1.10.0-4.fc17
Comment 8 Pavel Šimerda (pavlix) 2012-04-09 14:31:17 EDT
I had a very similar problem with COGL 1.10 now, which is used by clutter. As a workaround I removed cogl with everything that depends on it and then reinstalled all missing packages and groups.
Comment 9 Adam Williamson 2012-04-09 23:13:52 EDT
I tested a DVD upgrade of F15 to F17 and did not hit any major problems related to this. The upgrade succeeded, GNOME 3 ran after the upgrade, and a first post-upgrade 'yum update' worked without problems. So definitely -1 NTH.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 10 Fedora Update System 2012-04-11 23:26:29 EDT
clutter-1.10.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clutter-1.10.0-5.fc17
Comment 11 Fedora Update System 2012-04-11 23:32:05 EDT
clutter-1.10.0-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-04-17 07:11:33 EDT
clutter-1.10.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clutter-1.10.2-1.fc17
Comment 13 Fedora Update System 2012-04-22 00:22:46 EDT
clutter-1.10.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.